---
# https://vitepress.dev/reference/default-theme-home-page
layout: home

title: Nginx UI
titleTemplate: Yet another Nginx Web UI

hero:
    name: "Nginx UI"
    text: "Yet another Nginx Web UI"
    tagline: Simple, powerful, and fast.
    image:
        src: /assets/icon.svg
        alt: Nginx UI
    actions:
        -   theme: brand
            text: Get Started
            link: /guide/about
        -   theme: alt
            text: View on Github
            link: https://github.com/0xJacky/nginx-ui

features:
    -   icon: 📊
        title: Online Statistics for Server Indicators
        details: Monitor CPU usage, memory usage, load average, and disk usage in real-time.
    -   icon: 💬
        title: Online ChatGPT Assistant
        details: Get assistance from an AI-powered ChatGPT directly within the platform.
    -   icon: 🖱️
        title: One-Click Deployment and Automatic Renewal
        details: Easily deploy and auto-renew Let's Encrypt certificates with just one click.
    -   icon: 🛠️
        title: Online Editing Websites Configurations
        details: Edit configurations using our NgxConfigEditor block editor or Ace Code Editor with nginx syntax highlighting.
    -   icon: 📜
        title: Online View Nginx Logs
        details: Access and view your Nginx logs directly online.
    -   icon: 💻
        title: Written in Go and Vue
        details: The platform is built with Go and Vue, and distributed as a single executable binary.
    -   icon: 🔄
        title: Automatically Test and Reload Configurations
        details: Test configuration files and reload nginx automatically after saving changes.
    -   icon: 🖥️
        title: Web Terminal
        details: Access a web-based terminal for easy management.
    -   icon: 🌙
        title: Dark Mode
        details: Enable dark mode for a comfortable user experience.
    -   icon: 📱
        title: Responsive Web Design
        details: Enjoy a seamless experience on any device with responsive web design.
    -   icon: 🔐
        title: 2FA Authentication
        details: Secure sensitive actions with two-factor authentication.

---

